X2Go Bug report logs - #1213
Missing icons in Eclipse toolbars with GTK2 in Published Apps mode

Package: src:nxlibs; Maintainer for src:nxlibs is (unknown);

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Sat, 23 Sep 2017 21:05:02 UTC

Severity: normal

Tags: pending

Merged with 1212

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1213: [X2Go-Dev] Bug#1213: Missing icons in Eclipse toolbars with GTK2 in Published Apps mode
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1213@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 18 Dec 2017 11:50:02 +0000
Resent-Message-ID: <handler.1213.B1213.15135977423770@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 1213
X-X2Go-PR-Package: x2goserver
X-X2Go-PR-Keywords: 
Received: via spool by 1213-submit@bugs.x2go.org id=B1213.15135977423770
          (code B ref 1213); Mon, 18 Dec 2017 11:50:02 +0000
Received: (at 1213) by bugs.x2go.org; 18 Dec 2017 11:49:02 +0000
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.1 required=3.0 tests=BAYES_00,RDNS_NONE,
	URIBL_BLOCKED autolearn=no autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 452125DAEB;
	Mon, 18 Dec 2017 12:49:01 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id wazzQOwbzuEI; Mon, 18 Dec 2017 12:48:56 +0100 (CET)
Received: from fregna.das-netzwerkteam.de (unknown [IPv6:2a01:4f8:202:1381::1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 9A0A45DA2B;
	Mon, 18 Dec 2017 12:48:56 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [IPv6:2a01:4f8:202:1381::105])
	by fregna.das-netzwerkteam.de (Postfix) with ESMTPS id 81FE3604F7;
	Mon, 18 Dec 2017 11:48:56 +0000 (UTC)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 77E99C9463;
	Mon, 18 Dec 2017 12:48:56 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id kKY+MvIMDjaS; Mon, 18 Dec 2017 12:48:51 +0100 (CET)
Received: from das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id B1066C9462;
	Mon, 18 Dec 2017 12:48:51 +0100 (CET)
Received: from m-087.informatik.uni-kiel.de (m-087.informatik.uni-kiel.de
 [134.245.254.87]) by mail.das-netzwerkteam.de (Horde Framework) with HTTPS;
 Mon, 18 Dec 2017 11:48:51 +0000
Date: Mon, 18 Dec 2017 11:48:51 +0000
Message-ID: <20171218114851.Horde.wtYvWn164H7Z4Hj2iSdLq3W@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1213@bugs.x2go.org
Cc: 1212@bugs.x2go.org
References: <458670666.9123768.1506200048133.JavaMail.root@servicemagic.eu>
 <242464827.9124024.1506200418367.JavaMail.root@servicemagic.eu>
In-Reply-To: <242464827.9124024.1506200418367.JavaMail.root@servicemagic.eu>
User-Agent: Horde Application Framework 5
Accept-Language: de,en
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 134.245.254.87
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Firefox/52.0
Content-Type: multipart/signed; boundary="=_qk7J9jhQTyr-owbpcByLpXT";
 protocol="application/pgp-signature"; micalg=pgp-sha256
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Control: reassign -1 src:nxlibs
Control: fixed -1 3.5.99.12
Control: tags -1 pending
Control: forcemerge #1212 -1

Hi,

On  Sa 23 Sep 2017 23:00:18 CEST, Walid MOGHRABI wrote:

> Package: x2goserver
> Version: 4.1.0.0-0~1413~ubuntu16.04.1
>
> Running Eclipse with GTK2 backend in Published Apps mode leads to  
> missing icons in the toolbars.
> They refreshed once you pass the mouse over or switch from  one  
> perspective to another so it's not too annoying but that's not great.
> This doesn't happens with GTK3.
>
> Regards,
> Walid Moghrabi

This issue is not reproducible since nx-libs 3.5.99.12. Thus marking  
this bug a a candidate for closure, once nx-libs 3.6.x branch gets  
released with X2Go.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 2 01:17:47 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.